%global _vpath_srcdir src

Name:		plasma-applets-system-panel
Version:	2.0.0
Release:	%mkrel 3
Summary:	Plasma applet that displays a panel with a set of system actions
License:	GPLv3+
Group:		Graphical desktop/KDE
Url:		https://github.com/Musikolo/plasma-applets-system-panel
Source0:	https://github.com/Musikolo/plasma-applets-system-panel/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	kf6-rpm-macros

BuildRequires:	pkgconfig(Qt6Core)
BuildRequires:	pkgconfig(Qt6Gui)
BuildRequires:	pkgconfig(Qt6Quick)

BuildRequires:	cmake(Plasma)

Requires:	plasma-workspace

Provides:	plasma-applet-eyasdp = %{version}-%{release}
Obsoletes:	plasma-applet-eyasdp < 1.2.0-5
Provides:	plasma5-applets-system-panel = %{version}-%{release}
Obsoletes:	plasma5-applets-system-panel < 1.6.0-5

%description
Plasma applet that displays a panel with a set of system actions.

[*] Supported actions:
 - Standby (turn off monitor to save energy)
 - Lock screen
 - Leave (log out, restart or shut down the computer)
 - Switch user (switch user o create new session)
 - Sleep (suspend to RAM)
 - Hibernate (suspend to disk)

[*] Other features:
 - Supports different layouts
 - Ability to rearrange icons
 - Fully customizable icons

%prep
%autosetup

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang plasma_applet_org.kde.plasma.systempanel

%files -f plasma_applet_org.kde.plasma.systempanel.lang
%doc AUTHORS ChangeLog README.md
%license LICENSE
%{_kf6_qmldir}/org/kde/private/systempanel/
%{_kf6_metainfodir}/org.kde.plasma.systempanel.appdata.xml
%{_kf6_datadir}/plasma/plasmoids/org.kde.plasma.systempanel
%{_kf6_iconsdir}/breeze/actions/*/system-standby.svg
%{_kf6_iconsdir}/breeze-dark/actions/*/system-standby.svg


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 2.0.0-3.mga10
+ Revision: 2230096
- Mageia 10 Mass Rebuild

* Wed Nov 20 2024 daviddavid <daviddavid> 2.0.0-2.mga10
+ Revision: 2117942
- obsoletes old plasma5-applets-system-panel

* Wed Aug 07 2024 daviddavid <daviddavid> 2.0.0-1.mga10
+ Revision: 2083952
- new version: 2.0.0
- switch to Qt6/KF6
- rename project as plasma-applets-system-panel

* Tue Nov 15 2022 daviddavid <daviddavid> 1.6.0-3.mga9
+ Revision: 1907369
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.6.0-2.mga8
+ Revision: 1659422
- Rebuild for new Qt5

* Tue Jul 14 2020 daviddavid <daviddavid> 1.6.0-1.mga8
+ Revision: 1606138
- new version: 1.6.0

* Thu May 28 2020 daviddavid <daviddavid> 1.4.0-6.mga8
+ Revision: 1588579
- switch appdata file to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 1.4.0-5.mga8
+ Revision: 1524871
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 1.4.0-4.mga7
+ Revision: 1383951
- Qt5 Rebuild

* Thu Oct 04 2018 umeabot <umeabot> 1.4.0-3.mga7
+ Revision: 1317379
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Mon Jan 08 2018 daviddavid <daviddavid> 1.4.0-1.mga7
+ Revision: 1191453
- new version: 1.4.0

* Sun Nov 13 2016 daviddavid <daviddavid> 1.3.0-1.mga6
+ Revision: 1066924
- initial package plasma5-applets-system-panel (replace plasma-applet-eyasdp)

